/*

    Zelda Return of the Hylian

    Copyright (C) 2005-2008  Vincent Jouillat

    Please send bugreports with examples or suggestions to www.zeldaroth.fr

*/

#ifndef __AUDIO_H__
#define __AUDIO_H__

#include "fmod.h"
#include "OSXport.h"

class Audio {
    public :
        Audio();
        ~Audio();
        void playSound(int id, int chl = FMOD_CHANNEL_FREE);
        void playMusic(int id);
        void stopMusic();
        void replayMusic();
        void playSpecial(int id);
        void stopSpecial();
        void setVolume(int vol);
        void setVolson(int volson);
        bool isSpecial();
    private :
        void loadSounds();
        void freeSounds();
        void choixMusique(int id);
        void choixSpecial(int id);
        
        bool SOUND;
        float volume;
        float volson;
        int musiqueId;
        int specialId;
        
        FMOD_SYSTEM  *sys;
        FMOD_SOUND   **sons;
        FMOD_SOUND   *music;
        FMOD_CHANNEL *channelSound;
        FMOD_CHANNEL *channelMusic;

};

#endif  // Audio.h
